import { Snackbar, ConfirmingAction, SnackbarType } from '../types';
/**
 * SnackbarBuilder to build Snackbar
 * @public
 */
export declare class SnackbarBuilder {
    private confirmingActions;
    private type;
    /**
     * Add type to snackbar, if the type is anything other than 'error' do not add it
     * @public
     * @param type - {@link SnackbarType}
     * @returns
     */
    withType(type: SnackbarType): SnackbarBuilder;
    /**
     * Add confirming action to snackbar
     * @public
     * @param confirmingAction - {@link ConfirmingAction}
     * @returns
     */
    withConfirmingAction(confirmingAction: ConfirmingAction): SnackbarBuilder;
    /**
     * Build snackbar
     * @public
     * @returns Snackbar
     */
    build(): Snackbar;
}
/**
 * Get snackbar builder instance
 * @public
 */
export declare const getSnackbarBuilder: () => SnackbarBuilder;
//# sourceMappingURL=snackbar-builder.d.ts.map